org.appng.xml.platform

## Class Session

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.SessionInfo
    - - org.appng.xml.platform.Session

- All Implemented Interfaces:
    Serializable

      public class Session
      extends SessionInfo
      implements Serializable

  Configures the session for the application.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SessionParams` | `sessionParams`

    - ### Fields inherited from class org.appng.xml.platform.SessionInfo

      `id, starttime, timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Session()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SessionParams` | `getSessionParams()` Gets the value of the sessionParams property.
    `void` | `setSessionParams(SessionParams value)` Sets the value of the sessionParams property.

    - ### Methods inherited from class org.appng.xml.platform.SessionInfo

      `getId, getStarttime, getTimeout, setId, setStarttime, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sessionParams

          protected SessionParams sessionParams

  - ### Constructor Detail

    - #### Session

          public Session()

  - ### Method Detail

    - #### getSessionParams

          public SessionParams getSessionParams()

      Gets the value of the sessionParams property.
      Returns:
        possible object is `SessionParams`

    - #### setSessionParams

          public void setSessionParams(SessionParams value)

      Sets the value of the sessionParams property.
      Parameters:
        `value` - allowed object is `SessionParams`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.